<?php

namespace itguild\forms\app\controllers;

use Illuminate\Database\Events\DatabaseBusy;
use itguild\forms\ActiveForm;
use itguild\forms\app\core\BaseController;
use itguild\forms\app\models\FormInputModel;
use itguild\forms\app\models\FormModel;
use itguild\forms\core\cg_view\CgView;

/**
* @var \itguild\forms\ActiveForm $form ;
 */

use itguild\forms\debug\Debug;
use itguild\forms\exceptions\FieldTypeNotFound;
use itguild\forms\Form;
use itguild\forms\inputs\Select;
use itguild\forms\inputs\TextInput;
use itguild\forms\inputs\TextArea;
class AdminController extends BaseController
{

    public string $html;

    public function createAction(): void
    {
        $this->cgView->layout = "/layouts/admin_layout.php";

        $this->cgView->render("/admin/index.php", ['title' => "Создать форму", 'form' => new ActiveForm()]);
    }
    public function saveFormAction(): void
    {

        $title = $_POST["title"];
        $perPage = $_POST['perPage'];
        $inputs = $_POST["InputForm"];
        $inputArray = [];
        foreach ($inputs as $input){
            $form = FormInputModel::Create(['form_id' => 42, 'input_type_id' => $input['type'], 'label' => $input['name'], 'name' => 'adsads', 'params' => "adsasd"]);
            Debug::prn($form);

            }

        $resultArray = ['meta' => ['perpage' => $perPage]];

        Debug::prn(json_encode($resultArray, true));

        //if (isset($title) and isset($params)) {
        //    $form = FormModel::Create(['title' => $title, 'status' => FormModel::STATUS_ACTIVE, 'params' => json_encode($resultArray, true)]);
        //    echo "Форма сохранена!";
        //}//
    }
    public function getFormAddFieldsAction(): void
    {
        $this->cgView->render("/admin/_form_add_fields_ajax.php", ['form' => new ActiveForm()]);
    }
    public function getSelectValue(): void
    {
        $selectValue = $_GET["value"];
        $countInput = $_GET["count"];
        $form = new ActiveForm();

        $fields = [
            1 => '_checkBox',
            2 => '_text_input',
            3 => '_textarea',
            4 => '_radioButton',
            5 => '_button',
            6 => '_select'
        ];

        $viewName = $fields[$selectValue] ?? false;

        if (!$viewName){
            throw new  FieldTypeNotFound($selectValue);
        }

        $this->cgView->render("/admin/field_type/$viewName.php", ['form' => new ActiveForm(), 'count' => $countInput]);
    }




}