<?php

namespace itguild\forms\builders;
use itguild\forms\inputs\Button;
class ButtonBuilder
{

    public static function build(string $name, array $params = [])
    {
        $value = $params['value'] ?? null;
        $typeInput = $params['typeInput'] ?? null;
        unset($params['value']);
        unset($params['typeInput']);

        return new Button(name: $name, value: $value, typeInput: $typeInput, paramsArray: $params);
    }

}