<?php

namespace itguild\forms\builders;

use itguild\forms\inputs\Checkbox;
use itguild\forms\inputs\Hidden;

class HiddenBuilder
{
    public static function build(string $name, array $params = []): Hidden
    {
        $value = $params['value'] ?? "";
        unset($params['value']);

        return new Hidden(name: $name, value: $value, paramsArray: $params);
    }
}