<?php

namespace itguild\forms\migrations;
use Illuminate;

class InputsTypeMigration
{
    public static function up(): void
    {

        Illuminate\Database\Capsule\Manager::schema()->create("input_type", function ($table) {
            $table->id('id');
            $table->string('type');
            $table->string('name');
            $table->integer('status');
        });

    }

    public static function down(): void
    {
        Illuminate\Database\Capsule\Manager::schema()->drop("input_type");
    }

}