<?php
/**
 * @var \itguild\forms\ActiveForm $form ;
 */

use itguild\forms\inputs\TextInput;
use itguild\forms\inputs\TextArea;

$types = \itguild\forms\app\models\InputTypeModel::where("status", 1)->pluck('name', 'id')->toArray();

?>

<?php echo $form->beginForm("/admin/save-form"); ?>
<?php $form->field(TextInput::class, name: "title", params: [
    'class' => "form-control",
    'placeholder' => 'Название формы'
])
    ->setLabel("Название формы")
    ->render();

$form->field(TextInput::class, name: "perPage", params: [
    'class' => "form-control",
    'placeholder' => 'Perpage'
])
    ->setLabel("Количество выводимых записей на страницу")
    ->render();

$form->field(\itguild\forms\inputs\Select::class, name: "inputType", params: [
    'class' => "form-control-sm",
    'id' => "selectID",
    'placeholder' => 'Параметры',
    'options' => $types
])
    ->setLabel("Добавить поле")
    ->render();
?>
<button style="margin-top:15px" type="button" id="buttonAdd" class="btn btn-success " onclick="getValueSelect()" data-count=0>Добавить поле</button>



<?php
$form->field(\itguild\forms\inputs\Button::class, name: "btn-submit", params: [
    'class' => "btn btn-primary ",
    'value' => 'Отправить',
    'typeInput' => 'submit'
])
    ->render();
$form->endForm();
?>
