<?php
require "vendor/autoload.php";

use Dotenv\Dotenv;
use Illuminate\Database\Capsule\Manager as Capsule;

$dotenv = Dotenv::createImmutable(ROOT_PATH);
$dotenv->load();

$capsule = new Capsule;
$capsule->addConnection([
    "driver" => "mysql",
    "host" =>"127.0.0.1",
    "database" => "forms",
    "username" => "root",
    "password" => "kali"
]);
$capsule->setAsGlobal();
$capsule->bootEloquent();