<?php

namespace itguild\forms\app\models;

use Illuminate\Database\Eloquent\Model;

class FormInputModel extends Model
{
    protected $table = "form_input";

    protected $fillable = [
        'form_id', 'input_type_id', 'label', 'name', 'params', 'priority', 'inputType'
    ];

    protected $hidden = [

    ];

    public function inputType(): \Illuminate\Database\Eloquent\Relations\HasOne
    {
        return $this->hasOne(InputTypeModel::class, "id", "input_type_id");
    }

    public function inputValue()
    {
        return $this->hasMany(InputValueModel::class, "form_input_id", "id");
    }
}