<?php

namespace itguild\forms\app\models;

use Illuminate\Database\Eloquent\Model;

class FormModel extends Model
{
    const STATUS_ACTIVE = 1;
    const STATUS_ARCHIVE = 2;
    protected $table = "form";

    protected $fillable = [
        'title', 'status', 'params'
    ];

    protected $hidden = [

    ];

    public function fields()
    {
        return $this->hasMany(FormInputModel::class, "form_id", "id")->orderBy("priority");
    }
}