<?php

namespace itguild\forms\migrations;
use Illuminate;

class FormsMigration
{

    public static function up(): void
    {

        Illuminate\Database\Capsule\Manager::schema()->create("form", function ($table) {
            $table->id('id');
            $table->string('title');
            $table->integer('status');
            $table->text('params')->nullable();
            $table->timestamps();
        });

    }
    public static function get()
    {
        return DB::forms('form_input')-> get();
    }

    public static function down(): void
    {
        Illuminate\Database\Capsule\Manager::schema()->drop("form");
    }

}