<?php

namespace itguild\forms\templates\bootstrap5;

use itguild\forms\templates\Template;

class Bootstrap5Template extends Template
{

    /**
     * @return string
     */
    public static function getInputTemplate(): string
    {
        return "<div class='form-group'>{label}{input}</div>";
    }
    public static function getTextAreaTemplate(): string
    {
        return "<div class='form-group'>{label}{textarea}</div>";
    }
    public static function getSelectTemplate(): string
    {
        return "<div class='form-group'>{label}{select}</div>";
    }
    public static function getRadioTemplate(): string
    {
        return "<div class='form-group'>{label}{radio}</div>";
    }
    public static function getCheckBoxTemplate(): string
    {
        return "<div class='form-group'>{label}{checkbox}</div>";
    }
    public static function getButtonTemplate(): string
    {
        return "<div class='form-group'>{label}{button}</div>";
    }
}